Package org.opensaml.saml.saml1.core.impl

# Class EvidenceImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml1.core.impl.EvidenceImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Evidence`

public class EvidenceImpl extends AbstractXMLObject implements Evidence
Concrete implementation of the `Evidence` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<Evidentiary>`
`evidence`
The Evidentiary child elements.

### Fields inherited from interface org.opensaml.saml.saml1.core.Evidence

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EvidenceImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<AssertionIDReference>`
`getAssertionIDReferences()`
Get the list of assertion ID references.
`List<Assertion>`
`getAssertions()`
Get the list of Assertions.
`List<Evidentiary>`
`getEvidence()`
Get the list of all `Evidentiary` child elements.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### evidence

@Nonnull private final IndexedXMLObjectChildrenList<Evidentiary> evidence
The Evidentiary child elements.

## Constructor Details

### EvidenceImpl

protected EvidenceImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAssertionIDReferences

@Nonnull @Live public List<AssertionIDReference> getAssertionIDReferences()
Get the list of assertion ID references.

Specified by:
  `getAssertionIDReferences` in interface `Evidence`
Returns:
  list of assertion ID references

### getAssertions

@Nonnull @Live public List<Assertion> getAssertions()
Get the list of Assertions.

Specified by:
  `getAssertions` in interface `Evidence`
Returns:
  list of assertions

### getEvidence

@Nonnull @Live public List<Evidentiary> getEvidence()
Get the list of all `Evidentiary` child elements.

Specified by:
  `getEvidence` in interface `Evidence`
Returns:
  list of all `Evidentiary` elements

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements